petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscDualSpaceCreate

Creates an empty PetscDualSpace object. The type can then be set with PetscDualSpaceSetType().

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceCreate(MPI_Comm comm, PetscDualSpace *sp)

Collective

### Input Parameter

| comm | - The communicator for the PetscDualSpace object

### Output Parameter

| sp | - The PetscDualSpace object

### See Also

PetscDualSpaceSetType(), PETSCDUALSPACELAGRANGE

### Level

beginner

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages